# WOK
TKWOK
WOKernel

# WOKernel_Locator Class Reference

`#include <WOKernel_Locator.hxx>`

## Public Member Functions

Standard_EXPORT | WOKernel_Locator (const Handle(WOKernel_Workbench)&awb)
Standard_EXPORT | WOKernel_Locator (const Handle(WOKernel_Session)&asession, const Handle(TColStd_HSequenceOfHAsciiString)&avisibility)
Standard_EXPORT Handle_WOKernel_Session | Session () const
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Visibility () const
Standard_EXPORT void | Reset ()
Standard_EXPORT void | Check ()
Standard_EXPORT const Handle_WOKernel_File & | Locate (const Handle(TCollection_HAsciiString)&alocatorname)
Standard_EXPORT const Handle_WOKernel_File & | Locate (const Handle(TCollection_HAsciiString)&atype, const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT const Handle_WOKernel_File & | Locate (const Handle(TCollection_HAsciiString)&aunitname, const Handle(TCollection_HAsciiString)&atype, const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT Handle_WOKernel_DevUnit | LocateDevUnit (const Handle(TCollection_HAsciiString)&adevunitname)
Standard_EXPORT Standard_Boolean | ChangeAdd (const Handle(WOKernel_File)&afile)
Standard_EXPORT Standard_Boolean | ChangeRemove (const Handle(WOKernel_File)&afile)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT const Handle_WOKernel_File & | Locate (const Handle(TCollection_HAsciiString)&alocatorname, const Handle(TCollection_HAsciiString)&aunitname, const Handle(TCollection_HAsciiString)&atype, const Handle(TCollection_HAsciiString)&aname)

## Private Attributes

Handle_WOKernel_Session | mysession
WOKernel_DataMapOfHAsciiStringOfFile | mymap
Handle_TColStd_HSequenceOfHAsciiString | myvisibility

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_Locator::WOKernel_Locator | ( | const Handle(WOKernel_Workbench)& | awb | ) |

Standard_EXPORT WOKernel_Locator::WOKernel_Locator | ( | const Handle(WOKernel_Session)& | asession,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | avisibility
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean WOKernel_Locator::ChangeAdd | ( | const Handle(WOKernel_File)& | afile | ) |

Standard_EXPORT Standard_Boolean WOKernel_Locator::ChangeRemove | ( | const Handle(WOKernel_File)& | afile | ) |

Standard_EXPORT void WOKernel_Locator::Check | ( |  | ) |

Standard_EXPORT const WOKernel_Locator::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Handle_WOKernel_File& WOKernel_Locator::Locate | ( | const Handle(TCollection_HAsciiString)& | alocatorname,
|  | const Handle(TCollection_HAsciiString)& | aunitname,
|  | const Handle(TCollection_HAsciiString)& | atype,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) | `[private]`

Standard_EXPORT const Handle_WOKernel_File& WOKernel_Locator::Locate | ( | const Handle(TCollection_HAsciiString)& | aunitname,
|  | const Handle(TCollection_HAsciiString)& | atype,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) |

Standard_EXPORT const Handle_WOKernel_File& WOKernel_Locator::Locate | ( | const Handle(TCollection_HAsciiString)& | atype,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) |

Standard_EXPORT const Handle_WOKernel_File& WOKernel_Locator::Locate | ( | const Handle(TCollection_HAsciiString)& | alocatorname | ) |

Standard_EXPORT Handle_WOKernel_DevUnit WOKernel_Locator::LocateDevUnit | ( | const Handle(TCollection_HAsciiString)& | adevunitname | ) |

Standard_EXPORT void WOKernel_Locator::Reset | ( |  | ) |

Standard_EXPORT Handle_WOKernel_Session WOKernel_Locator::Session | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_Locator::Visibility | ( |  | ) | const

## Field Documentation

WOKernel_DataMapOfHAsciiStringOfFile WOKernel_Locator::mymap `[private]`

Handle_WOKernel_Session WOKernel_Locator::mysession `[private]`

Handle_TColStd_HSequenceOfHAsciiString WOKernel_Locator::myvisibility `[private]`

The documentation for this class was generated from the following file:

- WOKernel_Locator.hxx